Bug 1054313 - Intermittent ArrayIndexOutOfBoundsException under high load in drools
Summary: Intermittent ArrayIndexOutOfBoundsException under high load in drools
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: BRE
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER1
: 6.0.1
Assignee: Mario Fusco
QA Contact: Marek Winkler
URL:
Whiteboard:
Depends On: 1044577
Blocks: 1044581
TreeView+ depends on / blocked
 
Reported: 2014-01-16 15:22 UTC by Mario Fusco
Modified: 2018-12-04 17:00 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1044577
Environment:
Last Closed: 2014-08-06 19:58:57 UTC
Type: Bug


Attachments (Terms of Use)

Comment 1 Edson Tirelli 2014-01-16 15:25:30 UTC
This ticket is a forward port of the fix for the same bug included in the roll up patch for 5.3.x.

We would like to have the acks set to cherry-pick the fix into the 6.0.x branch.

Comment 2 Alessandro Lazarotti 2014-01-16 15:30:05 UTC
This bug should not be added to Roll Up patch list[1] since it is for version 6.
The BZ which should be in the roll up patch list is that for BRMS version 5:
https://bugzilla.redhat.com/show_bug.cgi?id=1044577. So I am removing this one.


[1]https://bugzilla.redhat.com/show_bug.cgi?id=1022758

Comment 3 Alessandro Lazarotti 2014-01-16 15:32:14 UTC
*This BZ should not (...)

Comment 4 Mario Fusco 2014-01-17 16:26:56 UTC
Fixed by https://github.com/droolsjbpm/drools/commit/823eacefdf0fc264f02864fcd94902e8053371d1

The operations executed on an entry-point created from a persisted session are now transactional as the ones issued directly on the session itself. However the provided test is not valid because it is not possible to ensure atomicity of serialization on a session running asynchronously. For this reason trying to invoke fireUntilHalt on a persisted session now causes an UnsupportedOperationException.

Comment 5 Marek Winkler 2014-02-24 13:27:43 UTC
Verified on BRMS 6.0.1 ER1.


Note You need to log in before you can comment on or make changes to this bug.